> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Model Score

> Retrieves score of a single model



## OpenAPI

````yaml GET /leaderboard/v2/scores/{modelName}
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /leaderboard/v2/scores/{modelName}:
    get:
      tags:
        - Leaderboard
      summary: v2 Model Score
      description: Retrieves score of a single model
      operationId: leaderboard_v2_model_score_get
      parameters:
        - in: path
          name: modelName
          required: true
          schema:
            title: Model Name
            type: string
            description: The name of the model
            example: gpt-4o
      responses:
        '200':
          description: A model's score
          content:
            application/json:
              schema:
                title: LeaderboardModelScore
                type: object
                properties:
                  status:
                    title: LeaderboardModelScoreStatus
                    type: string
                    example: success
                  data:
                    title: LeaderboardModelScoreData
                    type: object
                    properties:
                      score:
                        $ref: '#/components/schemas/LeaderboardV2Score'
components:
  schemas:
    LeaderboardV2Score:
      title: LeaderboardV2Score
      type: object
      properties:
        model_name:
          title: Model Name
          type: string
          example: gpt-4o
        provider:
          title: Model Provider
          type: string
          example: OpenAI
        source:
          title: Model Source
          type: string
          example: OpenAI
        risk_score:
          title: Risk Score
          type: number
          example: 33.9614
          nullable: true
        bias_score:
          title: Bias Score
          type: number
          example: 82.17
          nullable: true
        cbrn_score:
          title: CBRN Score
          type: number
          example: 5.67
          nullable: true
        harmful_score:
          title: Harmful Score
          type: number
          example: 42.22
          nullable: true
        insecure_code_score:
          title: Insecure Code Score
          type: number
          example: 31.11
          nullable: true
        toxicity_score:
          title: Toxicity Score
          type: number
          example: 8.64
          nullable: true
        robustness_score:
          title: Robustness Score
          type: number
          example: null
          nullable: true
        jailbreak_score:
          title: Jailbreak Score
          type: number
          example: 8.53333
          nullable: true
        evasion_score:
          title: Evasion Score
          type: number
          example: null
          nullable: true
        safety_score:
          title: Safety Score
          type: number
          example: 37.7112
          nullable: true
        nist_score:
          title: NIST Score
          type: number
          example: 34
          nullable: true
        owasp_score:
          title: OWASP Score
          type: number
          example: 39
          nullable: true
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````